// PortSettings.cpp : implementation file
//

#include "stdafx.h"
#include "RiSCAN2D.h"
#include "PortSettings.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPortSettings dialog


CPortSettings::CPortSettings(CWnd* pParent /*=NULL*/)
	: CDialog(CPortSettings::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPortSettings)
	//}}AFX_DATA_INIT
}


void CPortSettings::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPortSettings)
	DDX_Control(pDX, IDC_DATA_PORT, m_cbDataPort);
	DDX_Control(pDX, IDC_COMMAND_PORT, m_cbCmdPort);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPortSettings, CDialog)
	//{{AFX_MSG_MAP(CPortSettings)
	ON_BN_CLICKED(IDC_DEFAULT_PORTS, OnDefaultPorts)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPortSettings message handlers
BOOL CPortSettings::OnInitDialog() 
{
    CString str;

    //m_strDataPort    = AfxGetApp()->GetProfileString(SECTION, _T("DataPort"),    _T("\\\\.\\RiPT0"));


    CDialog::OnInitDialog();
	m_cbCmdPort.SetMaxHistoryItems(10);
	m_cbDataPort.SetMaxHistoryItems(10);
	m_cbCmdPort.LoadHistory(SECTION, _T("CmdPort"));
	m_cbDataPort.LoadHistory(SECTION, _T("DataPort"));

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CPortSettings::OnOK() 
{
	//GetDlgItemText(IDC_DATA_PORT, m_strDataPort); 
	//AfxGetApp()->WriteProfileString(SECTION, _T("DataPort") , m_strDataPort);
	
	CDialog::OnOK();
}

void CPortSettings::OnDefaultPorts() 
{
	//m_strDataPort = _T("\\\\.\\RiPT0");
	m_cbDataPort.AddString(_T("\\\\.\\RiPT0"));
	m_cbCmdPort.AddString(_T("\\\\.\\COM1:19200"));
	UpdateData(FALSE);	
}

void CPortSettings::OnDestroy() 
{
	m_cbCmdPort.SaveHistory();	
	m_cbDataPort.SaveHistory();
	CDialog::OnDestroy();
}
