/* $Workfile: riport.h $ */
   
/*
 * This file demonstrates IO techniques for interfacing
 * to the RIEGL parallel port.
 *
 *    Company: RIEGL Laser Measurement Systems
 * Originator: Roland Schwarz
 *    $Author: rs $
 *      Start: 06.07.98
 *      $Date: 2003/06/11 06:19:36 $
 *   $Modtime: 6.07.98 16:40 $
 */

#ifndef __RIPORT_H__
#define __RIPORT_H__

#include <windows.h>

BOOL RiPortOpen(int nUnit);
BOOL RiPortClose(void);
BOOL RiPortRead(
	LPVOID lpBuffer,
	DWORD nNumberOfBytesToRead,
	LPDWORD lpNumberOfBytesRead);

extern char* pszMode;

#endif /*  __RIPORT_H__ */