#if !defined(AFX_CTRLDLG_H__2F944A1B_4501_41DF_BE5F_F9D07A429469__INCLUDED_)
#define AFX_CTRLDLG_H__2F944A1B_4501_41DF_BE5F_F9D07A429469__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CtrlDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCtrlDlg dialog

class CCtrlDlg : public CDialog
{
// Construction
public:
	CCtrlDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CCtrlDlg)
	enum { IDD = IDD_CTRL_DIALOG };
	double	m_dlLineStart;
	double	m_dlLineInc;
	double	m_dlLaserRate;
	double	m_dlLineStop;
	CString	m_strLineFPS;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCtrlDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL


// Implementation
protected:
	IScanCnf3Ptr m_pScanCnf;
	CString m_strPort;
	BOOL m_fIsOpen;

	int ErrorBox(UINT nIDPrompt, UINT nType);
	void Busy(BOOL bBusy = TRUE);
	static const int BusyMap[];

	void OnScannerOpen();
	void OnScannerClose();
	void OnScannerCalc();
	void OnScannerApply();
	void OnScannerPark();
	void OnScannerError(int nError);

	void NativePutInt(int nVal, _bstr_t bstrName);
	void NativeCommand(_bstr_t bstrName);
	
	// Generated message map functions
	//{{AFX_MSG(CCtrlDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnApply();
	afx_msg void OnCalc();
	afx_msg void OnClose();
	afx_msg void OnPark();
	//}}AFX_MSG
	afx_msg LRESULT OnScannerNotify(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CTRLDLG_H__2F944A1B_4501_41DF_BE5F_F9D07A429469__INCLUDED_)
